Returns a paginated list of accounts under the given organisation code and advisor code

Required scopes: accounts-read

Query Parameters
  • organisationCode
    Type: string
    required
  • advisorCode
    Type: string
  • limit
    Type: integer Format: int32

    Signed 32-bit integers (commonly used integer type).

  • offset
    Type: integer Format: int32

    Signed 32-bit integers (commonly used integer type).

Responses
  • 401

    Unauthorized

  • 403

    Forbidden

Request Example for get/v1/accounts/
curl 'https://stage-api.openmarkets.com.au/v1/accounts/?organisationCode='
{
  "metadata": {
    "links": {
      "self": "https://api.openmarkets.com.au/v1/accounts/?limit=10&offset=0",
      "next": "https://api.openmarkets.com.au/v1/accounts/?limit=10&offset=10",
      "previous": null
    },
    "limit": 10,
    "offset": 0,
    "total": 34
  },
  "results": [
    {
      "accountNumber": "111888",
      "accountName": "Ms Jane Marie Citizen",
      "organisationCode": "TPOMAL",
      "branchCode": "01",
      "advisorCode": "ADV1",
      "advisorName": "John Doe",
      "dateCreated": "2025-02-19T04:12:07Z",
      "status": "Active",
      "orderClass": "Standard",
      "chessRegistration": {
        "hin": "X0001234567",
        "name1": "MS JANE MARIE CITIZEN",
        "name2": null,
        "name3": null,
        "designation": null,
        "addressLine1": "LEVEL 8",
        "addressLine2": "350 COLLINS STREET",
        "addressLine3": "MELBOURNE VIC",
        "addressLine4": null,
        "postcode": "3000",
        "countryCode": "AU"
      },
      "pid": "20087",
      "crossReference": "CRM-4821",
      "accountType": "Individual",
      "clientType": "Normal",
      "portfolioFrequency": "Daily",
      "warrantsTrading": false,
      "exemptionType": "None",
      "exemptionCertificateExpiry": null,
      "optionsTrading": false,
      "internationalTrading": false,
      "equitiesBrokerageSchedule": "STD-EQ",
      "optionsBrokerageSchedule": null,
      "bankInstitutionCode": "CBA",
      "bsb": "063000",
      "bankAccountNumber": "12345678",
      "bankAccountName": "Jane Marie Citizen",
      "bankTransactionTypes": "Settlement",
      "accountDesignation": null,
      "emailAddress": "jane.citizen@example.com",
      "contractNoteEmailAddress": [
        "jane.citizen@example.com"
      ],
      "workPhone": "+61 3 9000 0000",
      "mobilePhone": "+61 400 000 000",
      "homePhone": null,
      "addressLine1": "Level 8, 350 Collins Street",
      "addressLine2": "Melbourne VIC",
      "addressLine3": null,
      "postcode": "3000",
      "countryCode": "AU",
      "externalRef1": "CRM-4821",
      "externalRef2": null,
      "primaryClient": "CL0009912",
      "individuals": [
        {
          "givenName": "Jane",
          "middleName": "Marie",
          "lastName": "Citizen",
          "title": "Ms",
          "alias": null,
          "dateOfBirth": "1985-04-12",
          "email": "jane.citizen@example.com",
          "mobilePhone": "+61 400 000 000",
          "homePhone": null,
          "workNumber": "+61 3 9000 0000",
          "countryOfCitizenship": "AU",
          "countryOfBirth": "AU",
          "townOfBirth": "Melbourne",
          "isPep": "No",
          "occupation": "Software engineer",
          "roles": "AccountHolder",
          "sourceOfWealth": "Salary",
          "addressLine1": "Level 8, 350 Collins Street",
          "addressLine2": null,
          "addressLine3": null,
          "suburb": "Melbourne",
          "state": "VIC",
          "postcode": "3000",
          "country": "AU",
          "gender": "Female",
          "isMainContact": true
        }
      ]
    }
  ]
}